#
#
# qmake configuration for linux-icc
#
# Written for Intel C++ 5.0.1, 6.0.1, 7.0, and 8.0 for Linux.
#

MAKEFILE_GENERATOR	= UNIX
TEMPLATE		= app
CONFIG			+= qt warn_on release link_prl

TQMAKE_CC		= icc
TQMAKE_LEX		= flex
TQMAKE_LEXFLAGS		= 
TQMAKE_YACC		= yacc
TQMAKE_YACCFLAGS		= -d
TQMAKE_CFLAGS		=
TQMAKE_CFLAGS_DEPS	= -M
TQMAKE_CFLAGS_WARN_ON	=
TQMAKE_CFLAGS_WARN_OFF	= -w
TQMAKE_CFLAGS_RELEASE	= -O2
TQMAKE_CFLAGS_DEBUG	= -g
TQMAKE_CFLAGS_SHLIB	= -KPIC
TQMAKE_CFLAGS_YACC	=
TQMAKE_CFLAGS_THREAD	= -D_REENTRANT

TQMAKE_CXX		= icpc
TQMAKE_CXXFLAGS		= $$TQMAKE_CFLAGS
TQMAKE_CXXFLAGS_DEPS	= $$TQMAKE_CFLAGS_DEPS
TQMAKE_CXXFLAGS_WARN_ON	= $$TQMAKE_CFLAGS_WARN_ON
TQMAKE_CXXFLAGS_WARN_OFF	= $$TQMAKE_CFLAGS_WARN_OFF
TQMAKE_CXXFLAGS_RELEASE	= $$TQMAKE_CFLAGS_RELEASE
TQMAKE_CXXFLAGS_DEBUG	= $$TQMAKE_CFLAGS_DEBUG
TQMAKE_CXXFLAGS_SHLIB	= $$TQMAKE_CFLAGS_SHLIB
TQMAKE_CXXFLAGS_YACC	= $$TQMAKE_CFLAGS_YACC
TQMAKE_CXXFLAGS_THREAD	= $$TQMAKE_CFLAGS_THREAD

TQMAKE_INCDIR		=
TQMAKE_LIBDIR		=
TQMAKE_INCDIR_X11	= /usr/X11R6/include
TQMAKE_LIBDIR_X11	= /usr/X11R6/lib
TQMAKE_INCDIR_QT		= $(TQTDIR)/include
TQMAKE_LIBDIR_QT		= $(TQTDIR)/lib
TQMAKE_INCDIR_OPENGL	= /usr/X11R6/include
TQMAKE_LIBDIR_OPENGL	= /usr/X11R6/lib

TQMAKE_LINK		= icpc
TQMAKE_LINK_SHLIB	= icpc
TQMAKE_LFLAGS		=
TQMAKE_LFLAGS_RELEASE	=
TQMAKE_LFLAGS_DEBUG	=
TQMAKE_LFLAGS_SHLIB	= -shared
TQMAKE_LFLAGS_PLUGIN	= $$TQMAKE_LFLAGS_SHLIB
TQMAKE_LFLAGS_SONAME	= -Qoption,ld,-soname,
TQMAKE_LFLAGS_THREAD	=
TQMAKE_RPATH		= -Qoption,ld,-rpath,

TQMAKE_LIBS		=
TQMAKE_LIBS_DYNLOAD	= -ldl
TQMAKE_LIBS_X11		= -lXext -lX11 -lm
TQMAKE_LIBS_X11SM	= -lSM -lICE
TQMAKE_LIBS_NIS		= -lnsl
TQMAKE_LIBS_QT		= -lqt
TQMAKE_LIBS_TQT_THREAD	= -lqt-mt
TQMAKE_LIBS_OPENGL	= -lGLU -lGL -lXmu
TQMAKE_LIBS_OPENGL_QT	= -lGL -lXmu
TQMAKE_LIBS_THREAD	= -lpthread

TQMAKE_TQMOC		= $(TQTDIR)/bin/tqmoc
TQMAKE_UIC		= $(TQTDIR)/bin/uic

TQMAKE_AR		= ar cqs
TQMAKE_RANLIB		=

TQMAKE_CLEAN		= -r $(OBJECTS_DIR)/ti_files

TQMAKE_TAR		= tar -cf
TQMAKE_GZIP		= gzip -9f

TQMAKE_COPY		= cp -f
TQMAKE_MOVE		= mv -f
TQMAKE_DEL_FILE		= rm -f
TQMAKE_DEL_DIR		= rmdir
TQMAKE_CHK_DIR_EXISTS	= test -d
TQMAKE_MKDIR		= mkdir -p
